/* nav */
.x_nav {
	display:flex;
	justify-content: space-between;
	border-radius:12px 12px 0 0;
	margin:50px 0 0;
	padding: 0 25px 0 25px;
	align-items: center;
	margin-bottom: 2px;
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}
.x_nav_items {
	display: flex;
	font-size: 16px;
	gap:25px;
	font-weight: 500;
}
.x_nav_item_active, .x_nav_item {
	padding: 17px 0;
}
.x_nav_item_active {
	text-decoration: underline;
	text-decoration-thickness: 2px;
	text-underline-offset: 21px;
}
.x_nav_item {
	transition:0.1s;
	cursor:pointer;
}
.x_nav_data_items {
	display:flex;
	gap: 15px;
	font-size: 12px;
}
.x_nav_data_item {
	font-weight: 600;
}



/* nav */
.theme_Light * {
	.x_nav {
		background:#fff;
	}
	.x_nav_item_active {
		text-decoration-color: #ec9222;
		color: #ec9222;
	}
	.x_nav_item {
		color: #7b858d;
	}
	.x_nav_item:hover {
		color: #ec9222;
	}
	.x_nav_data_items {
		color: #494949;
	}
	.x_nav_data_item {
		color: #cb7d43;
	}
}
.theme_Dark * {
	.x_nav {
		background:#1f3749;
	}
	.x_nav_item_active {
		text-decoration-color: #febc58;
		color: #febc58;
	}
	.x_nav_item {
		color: #e6e9f0d9;
	}
	.x_nav_item:hover {
		color: #febc58;
	}
	.x_nav_data_items {
		color: #94a1ad;
	}
	.x_nav_data_item {
		color: #d5a47f;
	}
}



/* dash */
.x_dash {
	padding: 25px;
	display:flex;
	justify-content: space-between;
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}
.x_dash_item {
	display: flex; 
	align-items: center; 
	gap:12px;
}
.x_dash_title {
	font-weight: 400;
	font-size: 14px;
}
.x_dash_data {
	font-size: 19px;
    font-weight: 600;
    margin-top: 0px;
    display: flex;
    gap: 8px;
}
.x_dash_data_1, .x_dash_data_2, .x_dash_data_3, .x_dash_data_4, .x_dash_data_5 {
	padding: 11px;
    border-radius: 12px 12px 0 0;
}
.x_dash_data_1 > svg:first-child, 
.x_dash_data_2 > svg:first-child, 
.x_dash_data_3 > svg:first-child, 
.x_dash_data_4 > svg:first-child, 
.x_dash_data_5 > svg:first-child  {
    height: 26px;
	display:block;
}
.x_dash_slash {
	font-size: 20px;
}
#_status_new {
	display:none
}
#radar.rotating {
    animation: radar-spin 1s linear infinite;
}
@keyframes radar-spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
.x_dash_progress {
	height: 11px;
    width: 100px;
    overflow: hidden;
    border-radius: 3px;
    margin: 10px 0 8px 2px;
    position: relative;
}

#x_dash_progress_line {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 0%;
}



/* dash */
.theme_Light * {
	.x_dash {
		background:#fff;
	}
	.x_dash_title {
		color: #53677b;
	}
	.x_dash_data {
		color: #7e8993;
	}
	.x_dash_data_1 {
		color: #1394c7;
		background: linear-gradient(180deg, #e5f2ff, transparent);
	}
	.x_dash_data_2 {
		color: #53c3bf;
    	background: linear-gradient(180deg, #dbf9f3f5, transparent);
	}
	.x_dash_data_3 {;
		color: #26cb3c;
		background: linear-gradient(180deg, #e4fbdd, transparent);
	}
	.x_dash_data_4 {
		color: #ff8e8e;
		background: linear-gradient(180deg, #ffeee8db, transparent);
	}
	.x_dash_data_5 {
		color: #df8dff;
		background: linear-gradient(180deg, #faebffcc, transparent);
	}
	.x_dash_slash {
		color: #e4e7ed;
	}
	.x_dash_progress {
		background: #dadde3;
	}
	#x_dash_progress_line {
		background: #00d59c;
	}
}
.theme_Dark * {
	.x_dash {
		background:#1f3749;
	}
	.x_dash_title {
		color: #94a1ad;
	}
	.x_dash_data {
		color: #e6e9f0d9;
	}
	.x_dash_data_1 {
		color: #6fdcff;
        background: linear-gradient(180deg, #165b9fd9, transparent);
	}
	.x_dash_data_2 {;
		color: #2fc7c2;
        background: linear-gradient(180deg, #00fff440, transparent);
	}
	.x_dash_data_3 {;
		color: #17d57c;
        background: linear-gradient(180deg, #00ff6833, transparent);
	}
	.x_dash_data_4 {
		color: #ddb21c;
        background: linear-gradient(180deg, #ffca003d, transparent);
	}
	.x_dash_data_5 {
		color: #ba75ff;
        background: linear-gradient(180deg, #de7dff54, transparent);
	}
	.x_dash_slash {
		color: #94a1ad;
	}
	.x_dash_progress {
		background: #4b6175;
	}
	#x_dash_progress_line {
		background: #1cbb91;
	}
}



/* x page */
.x_page {
	display:flex;
	border-radius: 0 0 12px 12px;
	margin-bottom:150px;
}
.x_page_title {
	font-size: 20px;
    font-weight: 700;
}



/* x page */
.theme_Light * {
	.x_page {
		background:#fff;
	}
	.x_page_title {
		color: #515151;
	}
}
.theme_Dark * {
	.x_page {
		background:#1f3749;
	}
	.x_page_title {
		color: #e6e9f0d9;
	}
}



/* search */
.x_search {
	padding: 0; 
	margin: 0; 
	display: flex; 
	align-items: center;
}
.x_search_icon, .x_search_icon_active {
	height: 20px;
    width: 20px;
    margin: 0 0 0 10px;
}
.x_search_input {
	padding: 7px 5px 7px 10px;
	border-radius: 5px;
	flex: 1;
	field-sizing: unset;
	max-width: none;
	margin: 0;
	font-size: 14px;
	font-weight: 500;
	width: 100%;
	font-family: Segoe, Segoe UI, DejaVu Sans, Trebuchet MS, Verdana, sans-serif;
	outline: none;
	border: none;
	height: auto;
	letter-spacing: 1px;
	outline:none;
	border:none;
}
.x_search_input::placeholder {
	color: #ccc;
}
.x_search_clear {
    padding: 8px;
    margin: 0px;
    min-width: 20px;
    min-height: 20px;
    width: 20px;
    height: 20px;
    max-width: 20px;
    max-height: 20px;
    display: none;
	cursor:pointer;
	transition:0.15s;
}



/* search */
.theme_Light * {
	.x_search {
		border: 1px #dde1e5 solid; 
		background: #fff;
	}
	.x_search:focus-within,
	.x_search:hover {
		border: 1px #39a2ff solid;
	}
	.x_search_icon {
		color:#ccc;
	}
	.x_search_icon_active {
		color: #66737f;
	}
	.x_search_input {
		color: #66737f;
		background: none;
	}
	.x_search_input::placeholder {
		color: #ccc;
	}
	.x_search_clear {
		color: #94a1ad;
	}
	.x_search_clear:hover {
		color: #E88100;
	}
}
.theme_Dark * {
	.x_search {
		border: 1px #6b8095 solid;
		background: #1f3749;
	}
	.x_search:focus-within,
	.x_search:hover {
		border: 1px #45a8ff solid;
	}
	.x_search_icon {
		color:#94a1ad;
	}
	.x_search_icon_active {
		color: #e6e9f0d9;
	}
	.x_search_input {
		color: #e6e9f0d9;
		background: none;
	}
	.x_search_input::placeholder {
		color: #94a1ad;
	}
	.x_search_clear {
		color: #94a1ad;
	}
	.x_search_clear:hover {
		color: #e7a34e;
	}
}


/* tools */
.x_tools {
	right: 25px; 
	left: 15px; 
	top: 0; 
	flex:1; 
	border-radius:5px; 
	overflow: hidden;
}
.x_tool {
	display: flex;
	justify-content: space-between;
	padding: 9px 10px 9px 15px;
	align-items: center;
	font-weight:500;
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}
.x_tool_icon {
	margin: -5px -5px -5px 0;
}
.x_tool_data {
	display: none;
	position: relative;
	width: max-content;
	padding: 12px 8px;
	gap: 20px;
	z-index: 1;
	font-weight: 400;
	overflow: hidden;
	width: auto;
}



/* tools */
.theme_Light * {
	.x_tools {
		color: #94a1ad; 
		background: #f4f5f8; 
		border: 1px #eaedf3 solid; 
	}
	.x_tool_data {
		border-top: 1px #eaedf3 solid;
		background: #fff;
		color: #202c39;
	}
}
.theme_Dark * {
	.x_tools {
		color: #e6e9f0d9;
		background: #30485d;
		border: 1px #4c6276 solid;
	}
	.x_tool_data {
		border-top: 1px #4c6276 solid;
        background: #1f3749;
        color: #e6e9f0d9;
	}
}



/* filters */
.x_filters {
	gap: 8px;
	padding: 0 25px 8px 15px;
	display:flex;
	justify-content: space-between;
}
.x_filter {
	display: flex;
	gap: 5px;
	padding: 7px 5px 7px 15px;
	border-radius: 5px;
	align-items: baseline;
	font-size: 14px;
	font-weight: 500;
	flex:1;
	margin:0;
}
.x_filter_name {
	margin-right: auto;
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}
.x_filter_dots {
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}
.x_filter_input_text {
	margin: 0;
	font-size: 14px;
	font-weight: 500;
	padding: 2px 8px;
	width: 100%;
	font-family: Segoe, Segoe UI, DejaVu Sans, Trebuchet MS, Verdana, sans-serif;
    outline: none;
    border: none;
    height: auto;
    letter-spacing: 1px;
	max-width: max-content;
    field-sizing: content;
}



/* filters */
.theme_Light * {
	.x_filter {
		border: 1px #dde1e5 solid;
		background:#fff;
	}
	.x_filter:focus-within,
	.x_filter:hover {
		border: 1px #39a2ff solid;
	}
	.x_filter_name {
		color: #66737f;
	}
	.x_filter_dots {
		color: #ccc;
	}
	.x_filter_input_text {
		color: #66737f;
		background: none;
	}
}
.theme_Dark * {
	.x_filter {
		border: 1px #6b8095 solid;
		background: #1f3749;
	}
	.x_filter:focus-within,
	.x_filter:hover {
		border: 1px #45a8ff solid;
	}
	.x_filter_name {
		color: #e6e9f0d9;
	}
	.x_filter_dots {
		color: #94a1ad;
	}
	.x_filter_input_text {
		color: #e6e9f0d9;
		background: none;
	}
}



/* table top */
.x_table_top {
	font-weight: 500;
}
.x_table_top_item {
	width:0;
}
.x_table_top_gap {
	min-width: 5px;
}
.x_table_sort_field {
	display:flex;
	gap:5px;
	min-width:max-content;
	cursor:pointer;
	position: relative;
	padding: 9px 0; 
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}
.x_table_sort {
	display:flex;
	gap:5px;
}
.x_table_name_field {
	transition:0.1s;
}
.x_table_sort_arrows {
	position: relative;
    width: 8px;
    height: 18px;
}
.x_table_help_icon {
	display: flex;
	margin: -2px 0 -3px 0;
	min-height: -webkit-fill-available;
	min-width: 13px;
	font-size: 14px;
	line-height: 23px;
	BORDER-RADIUS: 5PX;
	mAX-height: 21px;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity:0;
	transition:0.1s;
}
.x_table_sort_field:hover .x_table_help_icon {
	opacity:1
}
#x_table_help_info {
	position: absolute;	
    display: none;
    padding: 6px 10px 7px 10px;
    font-size: 11px;
    border-radius: 5px;
    z-index: 1;
    font-weight: 400;
    min-width: min-content;
	max-width:250px;
	margin: 12px 0 0 -10px;
}



/* table top */
.theme_Light * {
	.x_table_top {
		color: #66737f;
		background: #f4f5f8;
	}
	.x_table_help_icon {
		color: #7e8993;
		background: #fff;
		border: 1px #d8e0e7 solid;
	}
	.x_table_help_icon:hover {
		color: #fff;
		background: #41607b;
		border: 1px #41607b solid;
	}
	.x_table_sort_field:hover .x_table_name_field {
		color: #000;
	}
	#x_table_help_info {
		background: #41607b;
		color: #fff;
	}
}
.theme_Dark * {
	.x_table_top {
		color: #e6e9f0d9;
		background: #30485d;
	}
	.x_table_help_icon {
		color: #94a1ad;
        background: #1f3749;
        border: 1px #6b8095 solid;
	}
	.x_table_help_icon:hover {
		color: #fff;
		background: #41607b;
		border: 1px #41607b solid;
	}
	.x_table_sort_field:hover .x_table_name_field {
		color: #fff;
	}
	#x_table_help_info {
		background: #41607b;
		color: #fff;
	}
}



/* table */
.table {
	border-radius: 5px;
	font-weight: 500;
}
.x_table_gap {
	min-width:5px;
}
.x_table_content {
	padding: 8px 15px 8px 0;
	width:0;
}
.x_table_left_background {
	transition:0.1s;
	height:51px;
	margin-left:8px;
	width:8px;
	border-radius:5px 0 0 5px;
}
.x_table_right_background {
	transition:0.1s;
	height:51px;
	margin-right:8px;
	width:8px;
	border-radius:0 5px 5px 0;
}
.x_table_background {
	transition:0.1s;
}
.x_table_background_active .x_table_left_background {
	border-radius:5px 0 0;
}
.x_table_background_active .x_table_right_background {
	border-radius:0 5px 0 0;
}
.x_table_hide {
	display:none
}
.x_logo_icon {
	height: 17px;
	border-radius: 3px;
	display: block;
}
.x_logo_icon_body {
    display: flex;
	align-items: center;
	gap:8px;
}
.x_table_details {
    padding: 12px 12px 6px 18px;
    border-radius: 0 0 5px 5px;
    min-width: max-content;
    display: flex;
	margin-left: -8px;
}
.x_table_top_padding, .x_table_bottom_padding {
	height:8px; 
	min-height:8px; 
}
.x_table_plug {
	min-width: 16px; 
	max-width: 16px; 
	width:16px; 
}


/* table */
.theme_Light * {
	.table {
		border: 1px #eaedf3 solid;
		color: #66737f;
	}
	.x_table_background:hover,
	.x_table_background:hover .x_table_left_background,
	.x_table_background:hover .x_table_right_background {
		background: #f9f9f9;
	}
	.x_table_background_active,
	.x_table_background_active .x_table_left_background,
	.x_table_background_active .x_table_right_background {
		background: #f9f9f9;
	}
	.x_table_color_desc {
		color: #c1c8cf;
	}
	.x_table_details {
		background: #f9f9f9;
		border-top: 2px #eaedf3 solid;
		color: #2d3135;
	}
	.x_table_top_padding {
		border-top: 1px #eaedf3 solid;
	}
	.x_table_plug { 
		background:#FFF;
	}

}
.theme_Dark * {
	.table {
		border: 1px #4c6276 solid;
		color: #e6e9f0d9;
	}
	.x_table_background:hover,
	.x_table_background:hover .x_table_left_background,
	.x_table_background:hover .x_table_right_background {
		background: #2c4458;
	}
	.x_table_background_active,
	.x_table_background_active .x_table_left_background,
	.x_table_background_active .x_table_right_background {
		background: #2c4458;
	}
	.x_table_color_desc {
		color: #94a1ad;
	}
	.x_table_details {
		background: #2c4458;
		border-top: 2px #6b8095 solid;
		color: #e6e9f0d9;
	}
	.x_table_top_padding {
		border-top: 1px #4c6276 solid;
	}
	.x_table_plug { 
		background:#1f3749;
	}
}



/* Пока не утвержден */
.x_table_tbody {
	//transition:0.1s;
	//outline: 1px #ffffff00 solid;
}
.x_table_tbody:focus-within,
.x_table_tbody:hover {
	//box-shadow: 0px 0 8px 3px #c1c1c154;
    //border-radius: 12px;
	//border-radius: 5px;
	//outline: 1px #39a2ff solid;
	//outline: 1px #eaedf3 solid;
	//outline-offset: -1px;
}



/* checkbox v.1*/
.cb {
    appearance: none;
    -webkit-appearance: none;
    width: 17px;
    height: 17px;
    margin: 0 9px 0 0;
    cursor: pointer;
    border-radius: 3px;
    position: relative;
    vertical-align: middle;
}
.cb:focus-visible {
    outline: none;
}
.cb:checked {
    background: #f4f5f8;
    border-color: #d0d5dd;
}
.cb:checked::after {
    content: "";
    position: absolute;
    left: 5px;
    top: 2px;
    width: 3px;
    height: 7px;
    border-width: 0 2px 2px 0;
}
.cb:disabled {
    opacity: .5;
    cursor: not-allowed;
}
.cb:disabled:hover {
    border-color: #d0d5dd;
}



/* checkbox v.1*/
.theme_Light * {
	.cb {
		border: 1px solid #d0d5dd;
		background: #fff;
		transition:
			border-color .25s ease,
			background-color .25s ease,
			box-shadow .25s ease;
	}
	.cb:hover {
		border-color: #39a2ff;
	}
	.cb:focus-visible {
		box-shadow: 0 0 0 3px rgba(148,161,173,.2);
	}
	.cb:checked {
		background: #fff;
		border-color: #d0d5dd;
	}
	.cb:checked:hover {
		border-color: #39a2ff;
	}
	.cb:checked::after {
		border: solid #c1c8cf;
		border-width: 0 2px 2px 0;
		transform: rotate(45deg);
	}
	.cb:disabled:hover {
		border-color: #d0d5dd;
	}
}
.theme_Dark * {
	.cb {
		border: 1px solid #6b8095;
        background: #1f3749;
		transition:
			border-color .25s ease,
			background-color .25s ease,
			box-shadow .25s ease;
	}
	.cb:hover {
		border-color: #45a8ff;
	}
	.cb:focus-visible {
		box-shadow: 0 0 0 3px rgba(148,161,173,.2);
	}
	
	.cb:checked {
		background: #1f3749;
    	border-color: #6b8095;
	}
	.cb:checked:hover {
		border-color: #45a8ff;
	}
	.cb:checked::after {
		border: solid #94a1ad;
		border-width: 0 2px 2px 0;
		transform: rotate(45deg);
	}
	.cb:disabled:hover {
		border-color: #d0d5dd;
	}
}



/* update deals */
.time_update {
	display: flex;
	gap: 5px;
	margin: 9px 0 8px 1px;
    width: fit-content;
    border-radius: 3px;
	transition:0.2s;
	cursor: pointer
}
.green_time_update, .grey_time_update, .red_time_update {
	height: 11px;
    width: 5px;
    border-radius: 2px;
}



/* update deals */
.theme_Light * {
	.green_time_update {
		background: #00d59c;
	}
	.grey_time_update {
		background: #eaedf3;
	}
	.red_time_update {
		background: #ff6464;
	}
}
.theme_Dark * {
	.green_time_update {
		background: #1cbb91;
	}
	.grey_time_update {
		background: #6b809594;
	}
	.red_time_update {
		background: #ff5d5de3;
	}
}


/* more */
.x_more {
	height: 25px;
    width: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    cursor:pointer;
	transition:0.15s;
}
.x_more_icon_right {
	height: 19px;
}
.x_more_icon_left {
	height: 19px;
	transform: rotate(180deg);
}



/* more */
.theme_Light * {
	.x_more {
		background: #fff;
		border: 1px #eaedf3 solid;
	}
	.x_more:hover {
		background:#ff8d39;
		border: 1px #f4f5f8 solid;
		color:#fff;
	}
}
.theme_Dark * {
	.x_more {
		background: #1f3749;
		border: 1px #4c6276 solid;
	}
	.x_more:hover {
		background:#b95700;
		border: 1px #30485d solid;
		color:#fff;
	}
}



/* table button */
.x_table_blue_button, .x_table_red_button, .x_table_green_button, .x_table_grey_button {
    JUSTIFY-ITEMS: center;
    font-weight: 500;
    padding: 6px 10px;
    border-radius: 5px;
    min-width: max-content;
    transition: 0.1s;
    cursor: pointer;
	height: max-content; 
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none;
}



/* table button */
.theme_Light * {
	.x_table_blue_button {
		color: #309cc7;
		background: #f4f9ff87;
		border: 2px #47bfff30 solid;
	}
	.x_table_blue_button:hover {
		color: #fff;
		background: #3293b9;
		border: 2px #3293b9 solid;
	}
	.x_table_red_button {
		color: #db1918;
		background: #fff4f45c;
		border: 2px #ffe4e4 solid;
	}
	.x_table_red_button:hover {
		color: #fff;
		background: #d95252;
		border: 2px #db1918 solid;
	}
	.x_table_green_button {
		color: #169d74;
		background: #f6fafa;
		border: 2px #d7ede6 solid;
	}
	.x_table_green_button:hover {
		color: #fff;
		background: #46a387;
		border: 2px #46a387 solid;
	}
	.x_table_grey_button {
		color: #94a1ad;
		background: #f4f5f8ba;
		border: 2px #e4e7ed solid;
	}
	.x_table_grey_button:hover {
		color: #fff;
		background: #94a1ad;
		border: 2px #94a1ad solid;
	}
}
.theme_Dark * {
	.x_table_blue_button {
		color: #21bcf7;
		background: #20465c;
		border: 2px #2f607b solid;
	}
	.x_table_blue_button:hover {
		color: #fff;
		background: #3293b9;
		border: 2px #3293b9 solid;
	}
	.x_table_red_button {
		color: #ff758a;
		background: #363949;
		border: 2px #664859 solid;
	}
	.x_table_red_button:hover {
		color: #fff;
		background: #d95252;
		border: 2px #db1918 solid;
	}
	.x_table_green_button {
		color: #3bd5a8;
        background: #169d7408;
        border: 2px #169d745c solid;
	}
	.x_table_green_button:hover {
		color: #ffffffd1;
        background: #267960;
        border: 2px #267960 solid;
	}
	.x_table_grey_button {
		color: #94a1ad;
		background: #f4f5f8ba;
		border: 2px #e4e7ed solid;
	}
	.x_table_grey_button:hover {
		color: #fff;
		background: #94a1ad;
		border: 2px #94a1ad solid;
	}
}


/* table step */
.x_step {
	font-size: 16px;
	font-weight: 500;
	display: flex;
    align-items: center;
}
.x_step_n {
	border-radius: 19px;
	min-width: 23px;
	min-height: 23px;
	display: flex;
	text-align: center;
	align-items: baseline;
	align-self: center;
	justify-content: center;
	font-size: 13px;
	letter-spacing: 1px;
	line-height: 21px;
	margin: 0px 6px 0px -6px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}
.x_step_data {
	margin: 0 0 12px 4px;
	margin: 2px 0 12px 28px;
	display: flex;
	flex-direction: column;
	gap: 5px;
	font-size: 13px;
	font-weight:400;
}



/* table step */
.theme_Light * {
	.x_step {
		color: #1d3041;
	}
	.x_step_n {
		background: #ffffff;
		border: 2px #e1e6e9 solid;
		color: #94a1ad;
	}
}
.theme_Dark * {
	.x_step {
		color: #e6e9f0d9;
	}
	.x_step_n {
		background: #1f3749;
		border: 2px #6b8095 solid;
		color: #cacfdfd9;
	}
}



/* hide details */
.hide_details {
	width: 22px;
    margin: 4px 4px 0px auto;
    height: 22px;
	cursor:pointer;
	transition:0.1s;
}



/* hide details */
.theme_Light * {
	.hide_details:hover {
		color: #E88100;
	}
}
.theme_Dark * {
	.hide_details:hover {
		color: #e7a34e;
	}
}



/* table list */
.x_table_list {
	position: absolute;
    top: -2px;
    right: -2px;
    width: max-content;
    padding:15px 15px 20px;
    display: none;
    flex-direction: column;
    gap: 1px;
    z-index: 1;
    border-radius: 5px;
    font-weight: 400;
    overflow: hidden;
}
.x_table_list_item {
    padding: 3px 7px 4px 7px;
    margin: 0 2px;
	transition:0.15s;
    border-radius: 5px;
	cursor:pointer;
	-webkit-touch-callout: none;
    -webkit-user-select: none;  
    -khtml-user-select: none;   
    -moz-user-select: none;    
    -ms-user-select: none; 
}



/* table list */
.theme_Light * {
	.x_table_list {
		background: #fff;
		color: rgb(32, 44, 57);
		padding:15px 15px 20px;
		box-shadow: #c1c1c18f 0px 0px 6px 3px;
	}
	.x_table_list_item:hover {
		background: #f4f5f8;
	}
}
.theme_Dark * {
	.x_table_list {
		background: #30485d;
		color: #e6e9f0d9;
		padding:15px 15px 20px;
		box-shadow: #1616168f 0px 0px 6px 3px;
	}
	.x_table_list_item:hover {
		background: #41607b;
	}
}



/* table networks */
.additional_networks {
	padding: 0 0 1px 2px;
	border-radius: 3px;
	text-align: right;
	cursor:pointer;
	transition:0.15s;
}
.additional_networks_items {
	display:none;
	position:absolute;
	top:0; 
	left:0;
	padding:15px 20px; 
	border-radius:5px;
	z-index: 1; 
	width: max-content;
}
.additional_networks_item {
	padding: 2px 0;
}



/* table networks */
.additional_networks {
	outline: 3px #fff solid;
	background: #f4f9f9;
	color: #169d74;
	border: 1px #d7ede6 solid;
}
.additional_networks:hover {
	background: #46a387;
    color: #fff;
}
.additional_networks_items {
	background:#fff;
	box-shadow: #c1c1c18f 0px 0px 6px 3px;
}